Package Details: gnome-desktop-git 1:43+2+gc564dd8a-1

Git Clone URL: https://aur.archlinux.org/gnome-desktop-git.git (read-only, click to copy)
Package Base: gnome-desktop-git
Description: Library with common API for various GNOME modules (GTK3)
Upstream URL: https://gitlab.gnome.org/GNOME/gnome-desktop
Licenses: GPL, LGPL
Conflicts: gnome-desktop
Provides: gnome-desktop, libgnome-desktop-3.so
Submitter: rliang
Maintainer: tallero
Last Packager: tallero
Votes: 2
Popularity: 0.075121
First Submitted: 2019-01-24 19:23 (UTC)
Last Updated: 2022-10-05 15:47 (UTC)

Required by (66)

Sources (1)

Latest Comments

IPlayZed commented on 2022-10-21 22:10 (UTC)

Build is broken:

Dependency glib-2.0 found: NO found 2.74.0 but need: '>=2.74.1'
Found CMake: /usr/bin/cmake (3.24.2)
Run-time dependency glib-2.0 found: NO (tried pkgconfig and cmake)
Looking for a fallback subproject for the dependency glib-2.0

gobject-introspection/meson.build:129:0: ERROR: Automatic wrap-based subproject downloading is disabled

A full log can be found at /home/minefpc/.cache/paru/clone/gobject-introspection-git/src/build/meson-logs/meson-log.txt
==> ERROR: A failure occurred in build().
    Aborting...
error: failed to build 'gobject-introspection-git-1.64.0+75+g8b0a7f4c-1': 
error: can't build gnome-desktop-git-1:43+2+gc564dd8a-1 (gnome-desktop-common-git gnome-desktop-git), deps not satisfied: gobject-introspection-git  gobject-introspection-git
error: packages failed to build: gobject-introspection-git-1.64.0+75+g8b0a7f4c-1  gnome-desktop-git-1:43+2+gc564dd8a-1 (gnome-desktop-common-git gnome-desktop-git)

That1Calculator commented on 2022-08-09 05:01 (UTC)

Build is broken.

The Meson build system
Version: 0.63.0
Source dir: /home/kainoa/.cache/yay/gnome-desktop-4-git/src/gnome-desktop
Build dir: /home/kainoa/.cache/yay/gnome-desktop-4-git/src/build
Build type: native build

gnome-desktop/meson.build:1:0: ERROR: Unknown options: "date_in_gnome_version, gnome_distributor"

A full log can be found at /home/kainoa/.cache/yay/gnome-desktop-4-git/src/build/meson-logs/meson-log.txt
==> ERROR: A failure occurred in build().
    Aborting...

VitalyR commented on 2022-04-07 02:33 (UTC)

Could you add gnome-desktop-4 to the PKGBUILD's conflicts and provides? And would you mind adding me to the co-maintainer since I'm an active user of this package?

tallero commented on 2022-03-05 03:22 (UTC)

@fisch02: I upgraded the package to gtk4 here

koumaza commented on 2020-10-03 10:28 (UTC)

meson required